import { DesignationsService } from './designations.service';
export declare class DesignationsController {
    private readonly designationsService;
    constructor(designationsService: DesignationsService);
    findAll(): Promise<import("./designation.schema").Designation[]>;
    create(name: string): Promise<import("./designation.schema").Designation>;
}
